#include <iostream>
#include "ComplexRectangular.h"
#include "ComplexPolar.h"
using namespace std;

int main () {
    ComplexBase *c1, *c2;

    c1 = new ComplexRectangular(30, 10);
    // c2 = new ComplexRectangular(20, 20);
    // c1 = new ComplexPolar(31.62, 0.322);
    c2 = new ComplexPolar(28.28, 0.785);

    cout << "Complex number c1:\n";
    cout << c1->toRectangularString() << endl;
    cout << c1->toPolarFormString() << endl;

    cout << "Complex number c2:\n";
    cout << c2->toRectangularString() << endl;

    cout << "add c2 to c1" << endl;
    c1->add(c2);

    //print out c1 to check the addition
    cout << "Complex number c1:\n";
    cout << c1->toRectangularString() << endl;
    return 0;
}
