#include "ComplexBase.h"

class ComplexRectangular : public ComplexBase {
  private:
    double _real, _imag;

  public:
    ComplexRectangular(double, double);
   
    virtual double getReal();
    virtual double getImaginary();

    virtual double getMagnitude();
    virtual double getPhase();
    
    virtual void add(ComplexBase*);
    virtual void minus(ComplexBase*);
    virtual void time(ComplexBase*);

    virtual string toRectangularString();
    virtual string toPolarFormString();    
};
